Package org.eclipse.mat.inspections.osgi.model

# Class EquinoxBundleReader2

java.lang.Object
org.eclipse.mat.inspections.osgi.model.EquinoxBundleReader2

All Implemented Interfaces:
  `IBundleReader`

public class EquinoxBundleReader2 extends Object implements IBundleReader

## Constructor Summary

Constructors
Constructor
Description
`EquinoxBundleReader2(ISnapshot snapshot)`

## Method Summary

Modifier and Type
Method
Description
`Bundle`
`getBundle(BundleDescriptor descriptor)`
Load the bundle by its descriptor
`OSGiModel`
`readOSGiModel(IProgressListener listener)`
get a model describing the OSGi framework

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EquinoxBundleReader2

public EquinoxBundleReader2(ISnapshot snapshot)

## Method Details

### readOSGiModel

public OSGiModel readOSGiModel(IProgressListener listener) throws SnapshotException
Description copied from interface: `IBundleReader`
get a model describing the OSGi framework

Specified by:
  `readOSGiModel` in interface `IBundleReader`
Parameters:
  `listener` -
Returns:
  OSGi model
Throws:
  `SnapshotException`

### getBundle

public Bundle getBundle(BundleDescriptor descriptor) throws SnapshotException
Description copied from interface: `IBundleReader`
Load the bundle by its descriptor

Specified by:
  `getBundle` in interface `IBundleReader`
Parameters:
  `descriptor` -
Returns:
  Bundle, which contains full information (dependencies, dependents, services, extension points, extensions)
Throws:
  `SnapshotException`